GET
/
v2
/
market
/
calculator
/
presets
List saved calculator presets
curl --request GET \
  --url https://api-v2.watchcollect.com/v2/market/calculator/presets \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenant_user_id": "<string>",
      "actor_user_id": "<string>",
      "brand": "<string>",
      "name": "<string>",
      "rows": [
        {
          "row_id": "<string>",
          "reference": "<string>",
          "configuration_key": "<string>",
          "market_view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "mapping_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "filters": {
            "q": "Rolex 126610LN",
            "text_search": {
              "query": "<string>"
            },
            "side": [
              "for_sale"
            ],
            "message_type": [],
            "brand": [
              "Rolex"
            ],
            "model": [
              "Submariner"
            ],
            "reference": [
              "126610LN"
            ],
            "year": {
              "values": [
                2022,
                2023
              ],
              "gte": 2018,
              "lte": 2026
            },
            "years": [
              2023
            ],
            "price": {
              "gte": 123,
              "lte": 123,
              "currency": "EUR"
            },
            "condition": [
              "NEW"
            ],
            "conditions": [],
            "full_set_status": [],
            "full_set_options": [],
            "dial_type": [
              "Wimbledon"
            ],
            "dial_types": [
              "<string>"
            ],
            "variant": [
              "<string>"
            ],
            "variants": [
              "<string>"
            ],
            "country_codes": {
              "include": [
                "31",
                "852"
              ],
              "exclude": [
                "86"
              ]
            },
            "phone_numbers_include": [
              "<string>"
            ],
            "phone_numbers_exclude": [
              "<string>"
            ],
            "phone_numbers": {
              "include": [
                "31612345678"
              ],
              "exclude": [
                "85212345678"
              ]
            },
            "group_ids": [
              "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            ],
            "group_names": [
              "<string>"
            ],
            "contact_ids": [
              "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            ],
            "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "phone_number": "<string>",
            "canonical_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "canonical_message_ids": [
              "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            ],
            "has_media": true,
            "message_timestamp_ms": {
              "gte": 123,
              "lte": 123
            },
            "last_seen_at_ms": {
              "gte": 123,
              "lte": 123
            },
            "from_ms": 123,
            "to_ms": 123,
            "include_duplicates": false,
            "include_hidden": false,
            "include_revoked": false,
            "exclude_outliers": false
          },
          "sale_price": {
            "amount_minor": 123,
            "currency": "<string>"
          }
        }
      ],
      "sort": "<string>",
      "created_at_ms": 123,
      "updated_at_ms": 123,
      "view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "filters": {
        "q": "Rolex 126610LN",
        "text_search": {
          "query": "<string>"
        },
        "side": [
          "for_sale"
        ],
        "message_type": [],
        "brand": [
          "Rolex"
        ],
        "model": [
          "Submariner"
        ],
        "reference": [
          "126610LN"
        ],
        "year": {
          "values": [
            2022,
            2023
          ],
          "gte": 2018,
          "lte": 2026
        },
        "years": [
          2023
        ],
        "price": {
          "gte": 123,
          "lte": 123,
          "currency": "EUR"
        },
        "condition": [
          "NEW"
        ],
        "conditions": [],
        "full_set_status": [],
        "full_set_options": [],
        "dial_type": [
          "Wimbledon"
        ],
        "dial_types": [
          "<string>"
        ],
        "variant": [
          "<string>"
        ],
        "variants": [
          "<string>"
        ],
        "country_codes": {
          "include": [
            "31",
            "852"
          ],
          "exclude": [
            "86"
          ]
        },
        "phone_numbers_include": [
          "<string>"
        ],
        "phone_numbers_exclude": [
          "<string>"
        ],
        "phone_numbers": {
          "include": [
            "31612345678"
          ],
          "exclude": [
            "85212345678"
          ]
        },
        "group_ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "group_names": [
          "<string>"
        ],
        "contact_ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "phone_number": "<string>",
        "canonical_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "canonical_message_ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "has_media": true,
        "message_timestamp_ms": {
          "gte": 123,
          "lte": 123
        },
        "last_seen_at_ms": {
          "gte": 123,
          "lte": 123
        },
        "from_ms": 123,
        "to_ms": 123,
        "include_duplicates": false,
        "include_hidden": false,
        "include_revoked": false,
        "exclude_outliers": false
      }
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

brand
string

Response

Saved calculator presets.

items
object[]
required
total
integer
required